Skip to main content
GET
/
contacts
/
custom-fields
List contact custom field definitions
curl --request GET \
  --url https://app.leonar.app/api/v1/contacts/custom-fields \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "cf2b8df3-1c85-4e5d-8f50-0c10b3994e90",
      "key": "crm_tier",
      "label": "CRM Tier",
      "type": "select",
      "options": [
        {
          "value": "enterprise",
          "label": "Enterprise"
        },
        {
          "value": "mid_market",
          "label": "Mid-market"
        }
      ],
      "is_required": false,
      "position": 0
    }
  ],
  "meta": {
    "total": 142,
    "limit": 50,
    "offset": 0,
    "has_more": true
  }
}

Authorizations

Authorization
string
header
required

API key starting with leo_

Response

List of contact custom field definitions

data
object[]
meta
object
Example:
{
"total": 142,
"limit": 50,
"offset": 0,
"has_more": true
}